Bug 116377 - [GTK] [CMake] Add support for building WebKit1
Summary: [GTK] [CMake] Add support for building WebKit1
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks: 115966 125766 125767
  Show dependency treegraph
 
Reported: 2013-05-17 19:32 PDT by Martin Robinson
Modified: 2013-12-18 16:02 PST (History)
4 users (show)

See Also:


Attachments
Patch (20.94 KB, patch)
2013-12-16 00:21 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2013-05-17 19:32:52 PDT
Since we need to maintain WebKit1 for some time, it probably makes sense to add support for building it with CMake.
Comment 1 Martin Robinson 2013-12-16 00:21:40 PST
Created attachment 219299 [details]
Patch
Comment 2 Gustavo Noronha (kov) 2013-12-18 12:43:14 PST
Comment on attachment 219299 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=219299&action=review

> Source/WebKit/gtk/GNUmakefile.am:362
> +	$(AM_V_GEN)glib-mkenums --template $(srcdir)/Source/WebKit/gtk/webkit/webkitenumtypes.h.template $(webkitgtk_h_api) | \

Much nicer =)

> ChangeLog:10
> +        * Source/cmake/OptionsGTK.cmake: Turn off some features that do not build properly
> +        for WebKit1 and stop using the version script which we haven't implemented yet. Turn
> +        on WebKit1.

The version script was not actually being used, was it?
Comment 3 Martin Robinson 2013-12-18 15:59:00 PST
(In reply to comment #2)

> The version script was not actually being used, was it?

Nope. It didn't even exist. :)
Comment 4 Martin Robinson 2013-12-18 16:01:46 PST
Committed r160804: <http://trac.webkit.org/changeset/160804>